com.digi.xbee.api.models

## Enum ATStringCommands

- java.lang.Object
- - java.lang.Enum<ATStringCommands>
  - - com.digi.xbee.api.models.ATStringCommands

- All Implemented Interfaces:
    Serializable, Comparable<ATStringCommands>

      public enum ATStringCommands
      extends Enum<ATStringCommands>

  Enumerates several AT commands used to parse AT command packets. The list of AT Command alias listed here represents those AT commands whose values should be parsed as strings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CC`
    `KY`
    `NI`
    `NK`
    `ZU`
    `ZV`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ATStringCommands` | `get(String command)` Returns the `ATStringCommands` for the given AT Command alias.
    `String` | `getCommand()` Returns the AT Command alias.
    `static ATStringCommands` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ATStringCommands[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CC

          public static final ATStringCommands CC

    - #### KY

          public static final ATStringCommands KY

    - #### NI

          public static final ATStringCommands NI

    - #### NK

          public static final ATStringCommands NK

    - #### ZU

          public static final ATStringCommands ZU

    - #### ZV

          public static final ATStringCommands ZV

  - ### Method Detail

    - #### get

          public static ATStringCommands get(String command)

      Returns the `ATStringCommands` for the given AT Command alias.
      Parameters:
        `command` - The AT Command alias to retrieve the corresponding `ATStringCommands`.
      Returns:
        The `ATStringCommands` associated to the given AT Command alias.

    - #### getCommand

          public String getCommand()

      Returns the AT Command alias.
      Returns:
        The AT Command alias.

    - #### valueOf

          public static ATStringCommands valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ATStringCommands[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ATStringCommands c : ATStringCommands.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.